source: trunk/softs/tests_ccvcache_v4/test_trap/run @ 232

Last change on this file since 232 was 232, checked in by alain, 12 years ago

Introducing the elementary tests for a TSAR mono-cluster
mono-processor platform with MMU using the vci_cc_vcache_v4
such as the "tsarv4_mono_mmu".
(assemby level tests written by Manuel Bouyer)

  • Property svn:executable set to *
File size: 484 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7        egrep "^status 0x00400002 cause 0x00000034 pc 0xBFC00034 badva 0x00000000$" run.out > /dev/null
8        if [ $? -ne 0 ]; then
9                echo "couldn't find string 1 in output - mtty not working ?" >> run.out
10                return 1
11        fi
12        return 0;
13}
14
15make --quiet || exit 1
16${SIMUL} > run.out 2>&1 
17if [ $? -eq 0 ]; then
18        if check_output; then
19                echo "test passsed";
20                make --quiet clean
21                exit 0;
22        fi
23        echo "test FAILED"
24        exit 1
25fi
26echo "test FAILED"
27exit 1
28
Note: See TracBrowser for help on using the repository browser.